<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | 
// +----------------------------------------------------------------------
// | Date: 2020-09-06 21:52
// +----------------------------------------------------------------------
use think\facade\Route;

//@广告栏目
Route::group('adver', function () {
    //@获取广告栏目
    Route::rule('page', 'adver/page');
    //@获取广告分类tree
    Route::post('page_tree','adver/page_tree');
    //@删除广告分类
    Route::post('page_del','adver/page_del');
    //@修改广告分类数据
    Route::post('page_save','adver/page_save');
    //@广告分类详情
    Route::post('page_info','adver/page_info');

    //@广告列表
    Route::post('list','adver/list');
    //@删除广告
    Route::post('del','adver/del');
    //@修改广告数据
    Route::post('save','adver/save');
    //@广告详情
    Route::post('info','adver/info');
    
    
    //@资源图片列表
    Route::post('upsourceList','adver/upsourceList');
    //@删除资源图片
    Route::post('upsourceDel','adver/upsourceDel');
    //@编辑资源图片
    Route::post('upsourceSave','adver/upsourceSave');
    


})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class,
    \app\system\middleware\AdminCkeckRoleMiddleware::class
]);